SQLServerColumnNode (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.dba.sqlserver.sqltree, class: SQLServerColumnNode

# Class SQLServerColumnNode

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.Node
org.apache.cayenne.access.sqlbuilder.sqltree.TrimmingColumnNode
org.apache.cayenne.dba.sqlserver.sqltree.SQLServerColumnNode

public class SQLServerColumnNode extends TrimmingColumnNode

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class TrimmingColumnNode

  `columnNode`
  Modifier and Type
  Field
  Description
  `protected final ColumnNode`
  `columnNode`

  ### Fields inherited from class Node

  `children, childrenCount, parent, type`
  Modifier and Type
  Field
  Description
  `protected Node[]`
  `children`
  `protected int`
  `childrenCount`
  `protected Node`
  `parent`
  `protected final NodeType`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SQLServerColumnNode(ColumnNode columnNode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `appendClobColumnNode(QuotingAppendable buffer)`
  `SQLServerColumnNode`
  `copy()`

  ### Methods inherited from class TrimmingColumnNode

  `append, appendAlias, appendColumnNode, appendRtrim, equals, getColumnSize, hashCode, isAllowedForTrimming, isInsertOrUpdateSet, isParentOfType, isResultNode`
  Modifier and Type
  Method
  Description
  `QuotingAppendable`
  `append(QuotingAppendable buffer)`
  `protected void`
  `appendAlias(QuotingAppendable buffer, boolean isResult)`
  `protected void`
  `appendColumnNode(QuotingAppendable buffer)`
  `protected void`
  `appendRtrim(QuotingAppendable buffer)`
  `boolean`
  `equals(Object o)`
  `protected int`
  `getColumnSize()`
  `int`
  `hashCode()`
  `protected boolean`
  `isAllowedForTrimming()`
  `protected boolean`
  `isInsertOrUpdateSet()`
  `protected boolean`
  `isParentOfType(NodeType nodeType)`
  `protected boolean`
  `isResultNode()`

  ### Methods inherited from class Node

  `addChild, addChild, appendChildrenEnd, appendChildrenSeparator, appendChildrenStart, deepCopy, deepEquals, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString, visit`
  Modifier and Type
  Method
  Description
  `Node`
  `addChild(int index, Node node)`
  `Node`
  `addChild(Node node)`
  `void`
  `appendChildrenEnd(QuotingAppendable buffer)`
  `void`
  `appendChildrenSeparator(QuotingAppendable buffer, int childInd)`
  `void`
  `appendChildrenStart(QuotingAppendable buffer)`
  `<T extends Node>
  T`
  `deepCopy()`
  `boolean`
  `deepEquals(Node node)`
  `Node`
  `getChild(int idx)`
  `int`
  `getChildrenCount()`
  `Node`
  `getParent()`
  `NodeType`
  `getType()`
  `void`
  `replaceChild(int idx, Node node)`
  `void`
  `setParent(Node parent)`
  `String`
  `toString()`
  `void`
  `visit(NodeTreeVisitor visitor)`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SQLServerColumnNode

    public SQLServerColumnNode(ColumnNode columnNode)

- ## Method Details

  - ### appendClobColumnNode

    protected void appendClobColumnNode(QuotingAppendable buffer)
    Overrides:
      `appendClobColumnNode` in class `TrimmingColumnNode`

  - ### copy

    public SQLServerColumnNode copy()
    Overrides:
      `copy` in class `TrimmingColumnNode`